
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head><body onload="loadPkgPane('HttpClient 4.2.3', 'pkg-app.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
                <div class="navBar"><span class="navBarCurrent">App</span>&nbsp;&nbsp;&nbsp; <a href="testsrc-pkg-summary.html">Test</a>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:50:36 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      7,721
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      40,509
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      3,559
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.85
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      3,270
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      18,764
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.14
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,593
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      292
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.23
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.76
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      310
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      21
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:50:36 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      7,721
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      40,509
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      3,559
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      4.85
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      3,270
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      18,764
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.46
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      5.14
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,593
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      292
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      2.23
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      14.76
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      310
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      21
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
			<a class='cloudLink' href='proj-risks.html'><img alt='Cloud icon for Clover database Mon Jan 14 2013 22:50:36 CET' src='img/cloud.png'/></a>
	        <span class="sortValue">Clover&nbsp;database&nbsp;Mon&nbsp;Jan&nbsp;14&nbsp;2013&nbsp;22:50:36&nbsp;CET</span>
    	   Clover&nbsp;database&nbsp;Mon&nbsp;Jan&nbsp;14&nbsp;2013&nbsp;22:50:36&nbsp;CET
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">21.0</span>
          21
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2341495</span>
          2.23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4435.0</span>
          4,435
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.64756835</span>
          64.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.64756835</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="35.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="64.8% Covered" class="barPositive " style="width: 64.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
                    <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/cookie/params/pkg-risks.html'><img alt='Cloud icon for org.apache.http.cookie.params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.cookie.params</span>
    	  <a href="org/apache/http/cookie/params/pkg-summary.html" title="org.apache.http.cookie.params">org.apache.http.cookie.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="100% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="0% Covered" class="barPositive " style="width: 0%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/params/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client.params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client.params</span>
    	  <a href="org/apache/http/client/params/pkg-summary.html" title="org.apache.http.client.params">org.apache.http.client.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4347826</span>
          1.43
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">64.0</span>
          64
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.27272728</span>
          27.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.27272728</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="72.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="27.3% Covered" class="barPositive " style="width: 27.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/auth/params/pkg-risks.html'><img alt='Cloud icon for org.apache.http.auth.params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.auth.params</span>
    	  <a href="org/apache/http/auth/params/pkg-summary.html" title="org.apache.http.auth.params">org.apache.http.auth.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6</span>
          1.6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.3478261</span>
          34.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.3478261</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="65.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="34.8% Covered" class="barPositive " style="width: 34.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/conn/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.conn' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.conn</span>
    	  <a href="org/apache/http/impl/conn/pkg-summary.html" title="org.apache.http.impl.conn">org.apache.http.impl.conn</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">23.0</span>
          23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2047243</span>
          2.2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1224.0</span>
          1,224
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.36645964</span>
          36.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.36645964</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="63.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="36.6% Covered" class="barPositive " style="width: 36.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/conn/scheme/pkg-risks.html'><img alt='Cloud icon for org.apache.http.conn.scheme' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.conn.scheme</span>
    	  <a href="org/apache/http/conn/scheme/pkg-summary.html" title="org.apache.http.conn.scheme">org.apache.http.conn.scheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.88</span>
          1.88
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">171.0</span>
          171
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.44117647</span>
          44.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.44117647</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="55.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="44.1% Covered" class="barPositive " style="width: 44.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/conn/params/pkg-risks.html'><img alt='Cloud icon for org.apache.http.conn.params' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.conn.params</span>
    	  <a href="org/apache/http/conn/params/pkg-summary.html" title="org.apache.http.conn.params">org.apache.http.conn.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.6969697</span>
          1.7
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">81.0</span>
          81
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.48407644</span>
          48.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.48407644</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="51.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="48.4% Covered" class="barPositive " style="width: 48.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/conn/ssl/pkg-risks.html'><img alt='Cloud icon for org.apache.http.conn.ssl' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.conn.ssl</span>
    	  <a href="org/apache/http/conn/ssl/pkg-summary.html" title="org.apache.http.conn.ssl">org.apache.http.conn.ssl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.528302</span>
          2.53
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">255.0</span>
          255
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.48692152</span>
          48.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.48692152</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="51.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="48.7% Covered" class="barPositive " style="width: 48.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/conn/pkg-risks.html'><img alt='Cloud icon for org.apache.http.conn' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.conn</span>
    	  <a href="org/apache/http/conn/pkg-summary.html" title="org.apache.http.conn">org.apache.http.conn</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.142857</span>
          2.14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">151.0</span>
          151
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.49328858</span>
          49.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.49328858</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="50.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="49.3% Covered" class="barPositive " style="width: 49.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client</span>
    	  <a href="org/apache/http/client/pkg-summary.html" title="org.apache.http.client">org.apache.http.client</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">20.0</span>
          20
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">15.0</span>
          15
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.53125</span>
          53.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.53125</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="46.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="53.1% Covered" class="barPositive " style="width: 53.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/client/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.client' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.client</span>
    	  <a href="org/apache/http/impl/client/pkg-summary.html" title="org.apache.http.impl.client">org.apache.http.impl.client</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">40.0</span>
          40
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.3825502</span>
          2.38
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1053.0</span>
          1,053
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.5828051</span>
          58.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.5828051</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="41.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="58.3% Covered" class="barPositive " style="width: 58.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/auth/pkg-risks.html'><img alt='Cloud icon for org.apache.http.auth' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.auth</span>
    	  <a href="org/apache/http/auth/pkg-summary.html" title="org.apache.http.auth">org.apache.http.auth</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">18.0</span>
          18
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8271605</span>
          1.83
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">158.0</span>
          158
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.66239315</span>
          66.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.66239315</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.2% Covered" class="barPositive " style="width: 66.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/entity/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client.entity' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client.entity</span>
    	  <a href="org/apache/http/client/entity/pkg-summary.html" title="org.apache.http.client.entity">org.apache.http.client.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.875</span>
          1.88
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">31.0</span>
          31
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6666667</span>
          66.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6666667</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="66.7% Covered" class="barPositive " style="width: 66.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/conn/tsccm/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.conn.tsccm' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.conn.tsccm</span>
    	  <a href="org/apache/http/impl/conn/tsccm/pkg-summary.html" title="org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">10.0</span>
          10
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0185184</span>
          2.02
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">263.0</span>
          263
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.6704261</span>
          67%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.6704261</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="33% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="67% Covered" class="barPositive " style="width: 67%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/auth/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.auth' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.auth</span>
    	  <a href="org/apache/http/impl/auth/pkg-summary.html" title="org.apache.http.impl.auth">org.apache.http.impl.auth</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">21.0</span>
          21
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8877552</span>
          1.89
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">468.0</span>
          468
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.68527234</span>
          68.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.68527234</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="31.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="68.5% Covered" class="barPositive " style="width: 68.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/methods/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client.methods' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client.methods</span>
    	  <a href="org/apache/http/client/methods/pkg-summary.html" title="org.apache.http.client.methods">org.apache.http.client.methods</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">12.0</span>
          12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2307693</span>
          1.23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">51.0</span>
          51
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.73846155</span>
          73.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.73846155</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="26.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="73.8% Covered" class="barPositive " style="width: 73.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/utils/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client.utils' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client.utils</span>
    	  <a href="org/apache/http/client/utils/pkg-summary.html" title="org.apache.http.client.utils">org.apache.http.client.utils</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">9.0</span>
          9
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.084507</span>
          3.08
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">118.0</span>
          118
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8546798</span>
          85.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8546798</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="85.5% Covered" class="barPositive " style="width: 85.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/client/protocol/pkg-risks.html'><img alt='Cloud icon for org.apache.http.client.protocol' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.client.protocol</span>
    	  <a href="org/apache/http/client/protocol/pkg-summary.html" title="org.apache.http.client.protocol">org.apache.http.client.protocol</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.84375</span>
          4.84
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">80.0</span>
          80
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8596491</span>
          86%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8596491</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="14% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86% Covered" class="barPositive " style="width: 86%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/cookie/pkg-risks.html'><img alt='Cloud icon for org.apache.http.cookie' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.cookie</span>
    	  <a href="org/apache/http/cookie/pkg-summary.html" title="org.apache.http.cookie">org.apache.http.cookie</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.1904762</span>
          2.19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">22.0</span>
          22
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.86585367</span>
          86.6%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.86585367</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="13.4% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="86.6% Covered" class="barPositive " style="width: 86.6%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/impl/cookie/pkg-risks.html'><img alt='Cloud icon for org.apache.http.impl.cookie' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.impl.cookie</span>
    	  <a href="org/apache/http/impl/cookie/pkg-summary.html" title="org.apache.http.impl.cookie">org.apache.http.impl.cookie</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">37.0</span>
          37
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.5621622</span>
          2.56
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">206.0</span>
          206
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8789659</span>
          87.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8789659</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="12.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="87.9% Covered" class="barPositive " style="width: 87.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/conn/util/pkg-risks.html'><img alt='Cloud icon for org.apache.http.conn.util' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.conn.util</span>
    	  <a href="org/apache/http/conn/util/pkg-summary.html" title="org.apache.http.conn.util">org.apache.http.conn.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8888889</span>
          88.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8888889</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="11.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="88.9% Covered" class="barPositive " style="width: 88.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                       <tr>
    <td class="graphItem">
			<a class='cloudLink' href='org/apache/http/conn/routing/pkg-risks.html'><img alt='Cloud icon for org.apache.http.conn.routing' src='img/cloud.png'/></a>
	        <span class="sortValue">org.apache.http.conn.routing</span>
    	  <a href="org/apache/http/conn/routing/pkg-summary.html" title="org.apache.http.conn.routing">org.apache.http.conn.routing</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.54</span>
          2.54
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.99527186</span>
          99.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.99527186</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.5% Covered" class="barPositive " style="width: 99.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
